import {Component, NgModule, ViewChild, ElementRef, AfterViewInit} from '@angular/core';
import { IgComboComponent } from "../../src/igniteui.angular2";
import { Northwind } from "./../data/northwind";
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic }    from '@angular/platform-browser-dynamic';
import { FormsModule } from '@angular/forms';

declare var jQuery: any;

declare var jQuery: any;
@Component({
	selector: 'my-app',
	templateUrl: "./igComboTemplate.html"
})
export class AppComponent implements AfterViewInit{

	public options: IgCombo;
	public northwind: any;
	public combo: any;
	$elem: any;
	itemRendered: boolean;

	constructor(private elem: ElementRef) {
		this.itemRendered = false;
		this.northwind = [];//Northwind.getData();
		this.options = {
			valueKey: "ProductID",
			textKey: "ProductName",
			dataSource: this.northwind,
			width: "100%",
			rendered: (ev,ui)=>{
				this.itemRendered = true;
				console.log('in rendered');
			}
		};
		this.combo = {
			value1: 20,
			value2: "Chang"
		}


	}

	ngAfterViewInit(): void {
		this.$elem = jQuery(this.elem.nativeElement).find('#combo11');
		this.fetchData();

	}

	fetchData(){
		setTimeout(()=>{

			this.northwind = Northwind.getData();

			this.options.dataSource = this.northwind;

			if(this.itemRendered){
				this.$elem.igCombo('dataBind');
			}

		}, 1000);
	}
}

@NgModule({
	imports:      [ BrowserModule, FormsModule ],
	declarations: [ AppComponent, IgComboComponent ],
	bootstrap:    [ AppComponent ]
})
export class AppModule {}

platformBrowserDynamic().bootstrapModule(AppModule);